Skip to main content
GET
List holidays
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Workspace subdomain.

Headers

X-Api-Key
string
required

Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.

Query Parameters

Only holidays whose name contains this text.

Example:

"offsite"

from_date
string<date>

Only holidays on or after this date (YYYY-MM-DD). Recurring holidays are always included.

Example:

"2026-10-01"

to_date
string<date>

Only holidays on or before this date (YYYY-MM-DD). Recurring holidays are always included.

Example:

"2026-10-31"

include_disabled
boolean
default:false

Set to true to include holidays that are turned off.

page_number
integer

Page of results to retrieve, starting from 1. Defaults to 1 when omitted.

page_size
integer

Number of results per page, up to 100. Defaults to 15 when omitted.

Required range: x <= 100

Response

OK - Request succeeded

holidays
object[]
pagination
object